Package org.apache.sysds.api

# Interface ConfigurableAPI

All Known Implementing Classes:
  `MLContext`, `PreparedScript`

public interface ConfigurableAPI
This interface defines the programmatic access to dml configuration properties (as defined in SystemDS-config.xml) to ensure API consistency across all APIs.

## Method Summary

Modifier and Type
Method
Description
`void`
`resetConfig()`
Reset configuration settings to default settings.
`void`
`setConfigProperty(String propertyName, String propertyValue)`
Set configuration property, such as `setConfigProperty("sysds.localtmpdir", "/tmp/systemds")`.

## Method Details

### resetConfig

void resetConfig()
Reset configuration settings to default settings.

### setConfigProperty

void setConfigProperty(String propertyName, String propertyValue)
Set configuration property, such as `setConfigProperty("sysds.localtmpdir", "/tmp/systemds")`.

Parameters:
  `propertyName` - property name
  `propertyValue` - property value